{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

{
  # Définition du IO Scheduler pour les SSD
  services.udev.extraRules = ''
  # set deadline scheduler for non-rotating disks
  # according to https://wiki.debian.org/SSDOptimization, deadline is preferred over noop
  ACTION=="add|change", KERNEL=="sd[a-z]", ATTR{queue/rotational}=="0", ATTR{queue/scheduler}="deadline"
  '';

}
